Imports System
Imports DayPilot.Web.Ui.Enums
Imports DayPilot.Web.Ui.Enums.Calendar

Partial Public Class ScrollingArea
	Inherits System.Web.UI.Page

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
	End Sub

	Protected Sub DropDownList1_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
		Select Case DropDownList1.SelectedValue
			Case "fixed"
				DayPilotCalendar1.HeightSpec = HeightSpecEnum.Fixed
				DayPilotCalendar1.Height = 200
			Case "full"
				DayPilotCalendar1.HeightSpec = HeightSpecEnum.Full
			Case "businesshours"
				DayPilotCalendar1.HeightSpec = HeightSpecEnum.BusinessHours
			Case "businesshoursnoscrolling"
				DayPilotCalendar1.HeightSpec = HeightSpecEnum.BusinessHoursNoScroll
		End Select
		DayPilotCalendar1.DataBind()

	End Sub

	Protected Sub DropDownListColWidth_OnSelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
		Select Case DropDownListColWidth.SelectedValue
			Case "fixed"
				DayPilotCalendar1.ColumnWidthSpec = ColWidthSpec.Fixed
				DayPilotCalendar1.ColumnWidth = 300
			Case "auto"
				DayPilotCalendar1.ColumnWidthSpec = ColWidthSpec.Auto
		End Select
		DayPilotCalendar1.DataBind()
	End Sub

End Class
